eoVRPEvalFunc(3)

NAME
eoVRPEvalFunc - Evaluates an individual of type eoVRP.

SYNOPSIS

#include <eoVRPEvalFunc.h>

Inherits eoEvalFunc< eoVRP >.

  Public Member Functions
eoVRPEvalFunc ()
Constructor: nothing to do here.
void operator() (eoVRP &_eo)
Computes the (penalized) fitness.

Detailed Description

Evaluates an individual of type eoVRP.

Definition at line 54 of file eoVRPEvalFunc.h.

Member Function Documentation

  void eoVRPEvalFunc::operator() (eoVRP & _eo) [inline]

Computes the (penalized) fitness.

Parameters:
    _eo The individual to be evaluated.

Definition at line 72 of file eoVRPEvalFunc.h.

References eoVRP::decode(), eoVRP::decoded(), EO< F >::fitness(), EO< F >::invalid(), and eoVRP::length().

Author

Generated automatically by Doxygen for CVRP-TW from the source code.